Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 323727 - Please keyword media-libs/libvpx-0.9.0_p20100612
Summary: Please keyword media-libs/libvpx-0.9.0_p20100612
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on: 323815 323927
Blocks: 324941
  Show dependency tree
 
Reported: 2010-06-12 22:41 UTC by Dror Levin (RETIRED)
Modified: 2010-09-15 01:17 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to add ppc32 to the terrible build system (vpx-ppc32.patch,1.55 KB, patch)
2010-08-12 05:25 UTC, Joe Jezak (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dror Levin (RETIRED) gentoo-dev 2010-06-12 22:41:06 UTC
This is needed for ffmpeg/mplayer/others support for VP8.
Arches will be added after the USE mask is sorted out.
Comment 1 Dror Levin (RETIRED) gentoo-dev 2010-06-13 10:09:15 UTC
Please proceed.

I've dropped keywords from mplayer-1.0_rc4_p20100612 pending keywording of libvpx so please keyword both. If you can't keyword please instead rekeyword the specified mplayer version and USE mask vpx for your arch.

Thanks.
Comment 2 Raúl Porcel (RETIRED) gentoo-dev 2010-06-27 18:21:59 UTC
use.masked on alpha/arm/ia64/sparc
Comment 3 Reimar Döffinger 2010-06-27 18:23:11 UTC
Note that MPlayer since yesterday can use FFmpeg's native VP8 decoder.
For any unusual architectures (including PPC, anything where libvpx has no SIMD
optimizations) it is significantly faster (maybe 40%), though for x86/x86_64 it
currently is below half the speed.
Just in case this has any impact on the keywording process, I admit I have no
clue about this part of Gentoo development :-)
Comment 4 Jeroen Roovers gentoo-dev 2010-07-10 16:29:16 UTC
Masked USE=vpx for HPPA. Maybe when libvpx is ready for all architectures we can remove that.
Comment 5 Joe Jezak (RETIRED) gentoo-dev 2010-08-12 05:24:31 UTC
It doesn't build on ppc due to the terrible build system they're using. There was already a bug on their site for this issue, so I fixed the problem and uploaded the fix there. I'll also attach it here.

http://code.google.com/p/webm/issues/detail?id=89&
colspec=ID%20Type%20Status%20Priority%20Version%20Owner%20Summary

Is it worth spending more time on this? Or should we just use the internal decoder?
Comment 6 Joe Jezak (RETIRED) gentoo-dev 2010-08-12 05:25:00 UTC
Created attachment 242523 [details, diff]
Patch to add ppc32 to the terrible build system
Comment 7 Joe Jezak (RETIRED) gentoo-dev 2010-09-15 01:17:03 UTC
As per the ffmpeg bug, we'll pass on this then. Please ping us if upstream takes my patch and you'd like to continue using libvpx.

Thanks! Closing since we're the last arch.